implicit.c File Reference
`#include "ruby/ruby.h"`
`#include "syck.h"`

Go to the source code of this file.

## Macros

#define | YYCTYPE char
#define | YYCURSOR cursor
#define | YYMARKER marker
#define | YYLIMIT limit
#define | YYFILL(n) (void)0

## Functions

void | try_tag_implicit (SyckNode *n, int taguri)
const char * | syck_match_implicit (const char *str, size_t len)
int | syck_tagcmp (const char *tag1, const char *tag2)
char * | syck_type_id_to_uri (const char *type_id)

## Macro Definition Documentation

#define YYCTYPE char

Definition at line 14 of file implicit.c.

Referenced by syck_match_implicit(), and syck_type_id_to_uri().

#define YYCURSOR cursor

Definition at line 15 of file implicit.c.

Referenced by syck_match_implicit(), and syck_type_id_to_uri().

#define YYFILL | ( |  | n | ) | (void)0

Definition at line 18 of file implicit.c.

Referenced by syck_match_implicit(), and syck_type_id_to_uri().

#define YYLIMIT limit

Definition at line 17 of file implicit.c.

Referenced by syck_match_implicit(), and syck_type_id_to_uri().

#define YYMARKER marker

Definition at line 16 of file implicit.c.

Referenced by syck_match_implicit(), and syck_type_id_to_uri().

## Function Documentation

const char* syck_match_implicit | ( | const char * | str,
|  | size_t | len
| ) |  |

Definition at line 48 of file implicit.c.

References len, YYCTYPE, YYCURSOR, YYFILL, YYLIMIT, and YYMARKER.

Referenced by syck_defaultresolver_detect_implicit(), syck_emit_scalar(), and try_tag_implicit().

int syck_tagcmp | ( | const char * | tag1,
|  | const char * | tag2
| ) |  |

Definition at line 1588 of file implicit.c.

References i, NULL, S_FREE, strlen(), strstr(), and syck_strndup().

Referenced by syck_emit_scalar(), and syck_emit_tag().

char* syck_type_id_to_uri | ( | const char * | type_id | ) |

Definition at line 1612 of file implicit.c.

References S_ALLOC_N, S_FREE, strlen(), syck_strndup(), syck_taguri(), syck_xprivate(), YAML_DOMAIN, YYCTYPE, YYCURSOR, YYFILL, YYLIMIT, and YYMARKER.

Referenced by syck_add_transfer(), and syck_resolver_tagurize().

void try_tag_implicit | ( | SyckNode * | n,
|  | int | taguri
| ) |  |

Definition at line 21 of file implicit.c.

References _syck_node::data, _syck_node::kind, NULL, S_FREE, _syck_node::str, strlen(), syck_map_kind, syck_match_implicit(), syck_seq_kind, syck_str_kind, syck_strndup(), syck_taguri(), _syck_node::type_id, and YAML_DOMAIN.

Referenced by sycklex_bytecode_utf8(), and yyparse().